View Issue Details

IDProjectCategoryView StatusLast Update
0001664DraftBugpublic2015-01-04 22:59
Reportermghansen256Assigned Toyorik 
PrioritylowSeveritytrivialReproducibilityalways
Status closedResolutionreopened 
PlatformKubuntu 14.04OSOS Version
Product Version0.14 
Target VersionFixed in Version 
Summary0001664: Draft rotate in yz-plane asks for angle in "mm"
DescriptionDraft rotate in yz-plane asks for angle in "mm"
Steps To Reproduce1. Select yz-plane as working plane for draft
2. Select a part
3. Choose rotate
4. Set base coordinates to 0,0,0
5. Rotate asks for base angle in "mm"
Additional InformationOS: Ubuntu 14.04.1 LTS
Word size: 64-bit
Version: 0.14.3702 (Git)
Branch: releases/FreeCAD-0-14
Hash: b3368125c63289ec8ce9faec2b2ae4c78d436406
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
SoQt version: 1.6.0a
OCC version: 6.7.0
TagsNo tags attached.

Activities

yorik

2014-08-08 01:29

administrator   ~0004926

Are you sure?? For me it shows "deg" correctly... Anyone else can test this?

mghansen256

2014-08-08 08:00

reporter   ~0004927

I attached a screenshot. The mm is only shown until I start moving the mouse, then ° is shown as it should.

mghansen256

2014-08-08 08:01

reporter  

mghansen256

2014-08-08 08:03

reporter  

mghansen256

2014-08-08 08:06

reporter   ~0004928

I also have this behavior on another computer with FreeCAD under Windows.

OS: Windows XP
Word size: 32-bit
Version: 0.14.3700 (Git)
Branch: releases/FreeCAD-0-14
Hash: 32f5aae0a64333ec8d5d160dbc46e690510c8fe1
Python version: 2.6.2
Qt version: 4.5.2
Coin version: 3.1.0
SoQt version: 1.4.1
OCC version: 6.5.1

yorik

2014-08-09 15:01

administrator   ~0004932

Ah ok I see... Indeed the field is initialized on "mm" and changes after you move the mouse. I'll fix that.

mghansen256

2015-01-04 19:49

reporter   ~0005514

Hi Yorik,

wmayer fixed bug 0001848 which reverted this change, apparently causing problems when the UI asks for a radius. Can you take another look?

Michael

Related Changesets

FreeCAD: master 0f559a71

2014-09-18 16:18:15

yorik

Details Diff
Draft: Fixed rotation UI unit - fixes 0001664 Affected Issues
0001664
mod - src/Mod/Draft/DraftGui.py Diff File

FreeCAD: master 9ee08a97

2015-01-04 23:38:47

yorik

Details Diff
Draft: fixed 0001664 again Affected Issues
0001664
mod - src/Mod/Arch/ArchFloor.py Diff File
mod - src/Mod/Draft/DraftTools.py Diff File

Issue History

Date Modified Username Field Change
2014-08-02 19:00 mghansen256 New Issue
2014-08-08 01:29 yorik Note Added: 0004926
2014-08-08 01:30 yorik Assigned To => yorik
2014-08-08 01:30 yorik Status new => feedback
2014-08-08 08:00 mghansen256 Note Added: 0004927
2014-08-08 08:00 mghansen256 Status feedback => assigned
2014-08-08 08:01 mghansen256 File Added: 2014-08-08-freecad-rotation-mm.png
2014-08-08 08:03 mghansen256 File Added: 2014-08-09-freecad-rotation-mm-really.png
2014-08-08 08:06 mghansen256 Note Added: 0004928
2014-08-09 15:01 yorik Note Added: 0004932
2014-09-18 14:40 yorik Changeset attached => FreeCAD Master master 0f559a71
2014-09-18 14:40 yorik Status assigned => closed
2014-09-18 14:40 yorik Resolution open => fixed
2015-01-04 19:49 mghansen256 Note Added: 0005514
2015-01-04 19:49 mghansen256 Status closed => feedback
2015-01-04 19:49 mghansen256 Resolution fixed => reopened
2015-01-04 22:59 yorik Changeset attached => FreeCAD Master master 9ee08a97
2015-01-04 22:59 yorik Status feedback => closed